import java.sql.*;

public class DatabaseAnswer
{
    ResultSet m_Result;
    Statement m_Statement;

    public DatabaseAnswer(Statement st,ResultSet rs)
    {
	m_Statement=st;
	m_Result=rs;
    }
    
    public void close()
    {
	try
	    {
		m_Result.close();
		m_Statement.close();
	    }
	catch (Exception e)
	    {
		System.err.println("DatabaseAnswer::close() - error on closure !");
	    }
    }

    public ResultSet getResult()
    { 
	return (m_Result);
    }

    public Statement getStatement()
    {
	return (m_Statement);
    }

}
